
/*
  CoMinder SpaceStat - Settings
  ver.: 0.54
*/

col NAME format a40
col VALUE format a10
col DESCRIPTION format a60

prompt == SpaceStat current settings ==
select * from SPACESTAT.SPS_SETTINGS order by NAME;
-- set your values
prompt == going to update.... ==

-- ! -- day of snapshot, if NULL - this snapshot periods not processed and may be purged during next purge
update SPACESTAT.SPS_SETTINGS set VALUE='62' 
 where NAME='RETENTION_KEEP_DAILY_DATA_COUNT'; 
 -- daily - we have only one day per day :)
  
 -- How many weeks to keep weekly snapshots
update SPACESTAT.SPS_SETTINGS set VALUE='53' 
 where NAME='RETENTION_KEEP_WEEKLY_DATA_COUNT'; 

 -- Which week day data to keep for weekly snapshots
 -- weekly: MON,TUE,WED,THU,FRI,SAT,SUN
update SPACESTAT.SPS_SETTINGS set VALUE='SUN' 
 where NAME='RETENTION_KEEP_WEEKLY_DATA_DAY'; 

 -- How many months to keep monthly snapshots
update SPACESTAT.SPS_SETTINGS set VALUE='24' 
 where NAME='RETENTION_KEEP_MONTHLY_DATA_COUNT'; 

 -- Which month day data to keep for monthly snapshots
 -- monthly: exact date 01-28, values 29-31 not supported, because not all month have it
update SPACESTAT.SPS_SETTINGS set VALUE='01' 
 where NAME='RETENTION_KEEP_MONTHLY_DATA_DAY'; 

 -- How many years to keep yearly snapshots
update SPACESTAT.SPS_SETTINGS set VALUE='5' 
 where NAME='RETENTION_KEEP_YEARLY_DATA_COUNT'; 

 -- Which year day data to keep for yearly snapshots
 -- yearly: exact date in format DD.MM, values 29-31.MM not supported
update SPACESTAT.SPS_SETTINGS set VALUE='03.08' 
 where NAME='RETENTION_KEEP_YEARLY_DATA_DAY'; 

commit;

prompt == SpaceStat updated settings ==
select * from SPACESTAT.SPS_SETTINGS order by NAME;
