--
-- report tablespaces without any segment inside, 
--  this can be probably removed, but check twice, may be reserved for tuture needs
-- Designed by: Andrey Chervonets (ACE), CoMinder Ltd., cominder.eu
-- version SpaceStat.0.54 (2012.10.15)

-- current empty tbs
select tablespace_name, file_name, bytes/1024/1024 MB 
  from dba_data_files DBF 
 where not exists (
                    select distinct tablespace_name 
                      from dba_segments DBS 
                     where DBS.tablespace_name=DBF.tablespace_name
                  )
/

-- SQL to drop them
select distinct 'drop tablespace '||tablespace_name||' including contents and datafiles;' 
  from dba_data_files DBF 
 where not exists (
                    select distinct tablespace_name 
                      from dba_segments DBS 
                     where DBS.tablespace_name=DBF.tablespace_name
                  )
/

prompt Be carefull before dropping tablespaces! 
prompt Not used now, may be used later. 

-- from snapshots: not implemented yet