

-- report_date=`date +%Y%m%d`_${START_HOUR}_${END_HOUR}
-- report_name=perf_${nINSTANCE_NUM}_${report_date}.txt

set pages 0 feedb off verify off

ACCEPT month_expr PROMPT "Please report month in format of YYYY.MM: "
col min_snap new_value min_snap
col max_snap new_value max_snap

SELECT min(SNAP_ID) min_snap
     , max(SNAP_ID) max_snap
  FROM SPACESTAT.SPS_SNAPS
 WHERE start_time  BETWEEN to_date('&month_expr..01','YYYY.MM.DD') and 2+last_day(to_date('&month_expr..01','YYYY.MM.DD'))
   and (SNAP_TYPE='DBS' or SNAP_TYPE='S')       
/        

define begin_snap_seg=&min_snap
define end_snap_seg=&max_snap

SELECT min(SNAP_ID) min_snap
     , max(SNAP_ID) max_snap
  FROM SPACESTAT.SPS_SNAPS
 WHERE start_time  BETWEEN to_date('&month_expr..01','YYYY.MM.DD') and 2+last_day(to_date('&month_expr..01','YYYY.MM.DD'))
   and (SNAP_TYPE='DBF' or SNAP_TYPE='F')       
/        

define begin_snap_file=&min_snap
define end_snap_file=&max_snap

@D:\Work_Lab\DEV\COMINDER_SVN\product\db\space_stat\reports\sps_report_delta_db.sql
@D:\Work_Lab\DEV\COMINDER_SVN\product\db\space_stat\reports\sps_report_delta_details.sql
@D:\Work_Lab\DEV\COMINDER_SVN\product\db\space_stat\reports\sps_report_top.sql


undefine begin_snap_seg
undefine end_snap_seg
undefine begin_snap_file
undefine end_snap_file
