

set pages 0 feedb off verify off

ACCEPT p_date_start PROMPT "Please specify reporting date start in format of YYYY.MM.DD: "
ACCEPT p_date_end   PROMPT "Please specify reporting date  end  in format of YYYY.MM.DD: "

col min_snap new_value min_snap
col max_snap new_value max_snap

SELECT min(SNAP_ID) min_snap
     , max(SNAP_ID) max_snap
  FROM SPACESTAT.SPS_SNAPS
 WHERE start_time  BETWEEN to_date('&p_date_start','YYYY.MM.DD') and to_date('&p_date_end','YYYY.MM.DD')
   and (SNAP_TYPE='DBS' or SNAP_TYPE='S')       
/        

define begin_snap_seg=&min_snap
define end_snap_seg=&max_snap

SELECT min(SNAP_ID) min_snap
     , max(SNAP_ID) max_snap
  FROM SPACESTAT.SPS_SNAPS
 WHERE start_time  BETWEEN to_date('&p_date_start','YYYY.MM.DD') and to_date('&p_date_end','YYYY.MM.DD')
   and (SNAP_TYPE='DBF' or SNAP_TYPE='F')       
/        

define begin_snap_file=&min_snap
define end_snap_file=&max_snap

@D:\Work_Lab\DEV\COMINDER_SVN\product\db\space_stat\reports\sps_report_delta_db.sql
@D:\Work_Lab\DEV\COMINDER_SVN\product\db\space_stat\reports\sps_report_delta_details.sql
@D:\Work_Lab\DEV\COMINDER_SVN\product\db\space_stat\reports\sps_report_top.sql


