/* 
  
  CoMinder SpaceStat Installation - Tablespace
  ver.: 0.55

  Example DDL to create SPACESTAT tablespace
  this is just sample - 
  in some cases may be uniform sized tablespace is better solution
  
  use UNIFORM sized extents allocation because too old data will be purged 
  and that extents can be re-used for new ones, that may be not the case
  when all is auto and last extent too big (for example 64M) 
  to reuse such small (<64M) extents
  
*/ 

col SPS_TBS_FILE format a100
set echo off
set head off
prompt Please, enter the full path to SPACESTAT tablespace datafile to be created.
prompt for example:
SELECT SUBSTR(file_name, 1, INSTR(file_name, '/', -1) )||'spacestat01.dbf' SPS_TBS_FILE 
FROM dba_data_files where tablespace_name='SYSTEM';

ACCEPT FULL_PATH_TO_DB_FILE PROMPT "FULL_PATH_TO_DB_FILE: "

prompt Creating Tablespace SPACESTAT of class:AVG
CREATE TABLESPACE SPACESTAT
 datafile '&FULL_PATH_TO_DB_FILE' SIZE 65M autoextend on NEXT 32M MAXSIZE 2049M 
 EXTENT MANAGEMENT LOCAL
 SEGMENT SPACE MANAGEMENT AUTO  UNIFORM SIZE 4M
/

set head on
