-- actual snaps view

create or replace VIEW SPACESTAT.V_ACTUAL_SNAPS 
as
select SNAP_ID, SNAP_TYPE, start_time
from spacestat.sps_snaps 
where start_time >= sysdate-(select value from SPACESTAT.SPS_SETTINGS where NAME='RETENTION_KEEP_DAILY_DATA_COUNT')
union 
(
select SNAP_ID, SNAP_TYPE, start_time
from spacestat.sps_snaps 
where start_time>=sysdate-(select 7*to_number(value) from SPACESTAT.SPS_SETTINGS where NAME='RETENTION_KEEP_WEEKLY_DATA_COUNT') 
  and to_char(start_time,'DY')=(select value from SPACESTAT.SPS_SETTINGS where NAME='RETENTION_KEEP_WEEKLY_DATA_DAY')
)
union 
(
select SNAP_ID, SNAP_TYPE, start_time
from spacestat.sps_snaps 
where start_time>=ADD_MONTHS(sysdate,-1*(select to_number(value) from SPACESTAT.SPS_SETTINGS where NAME='RETENTION_KEEP_MONTHLY_DATA_COUNT')) 
  and to_char(start_time,'DD')=(select value from SPACESTAT.SPS_SETTINGS where NAME='RETENTION_KEEP_MONTHLY_DATA_DAY')
)
union 
(
select SNAP_ID, SNAP_TYPE, start_time
from spacestat.sps_snaps 
where start_time>=ADD_MONTHS(sysdate,-1*12*(select to_number(value) from SPACESTAT.SPS_SETTINGS where NAME='RETENTION_KEEP_YEARLY_DATA_COUNT')) 
  and to_char(start_time,'DD.MM')=(select value from SPACESTAT.SPS_SETTINGS where NAME='RETENTION_KEEP_YEARLY_DATA_DAY')
)
/ 