/*
 SpaceStat - list obsolete snapshots 
 according to current configuration 
*/

set lines 300
set pages 10000

set echo off
prompt 
prompt === STATSPACK - Obsolete snapshots report ===
prompt 

select to_char(sysdate,'DD.MM.YYYY HH24:MI:SS') SYS_DATE  from dual;
select to_char(current_date,'DD.MM.YYYY HH24:MI:SS') curr_date from dual;

-- actual snapshots
-- select * from SPACESTAT.V_ACTUAL_SNAPS order by start_time;

-- obsolete snapshots
select SNAP_ID, SNAP_TYPE, start_time
from spacestat.sps_snaps OBS 
where not exists 
  (
  select SNAP_ID from SPACESTAT.V_ACTUAL_SNAPS ACS
   where ACS.SNAP_ID=OBS.SNAP_ID  
  )
order by start_time;   


